All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
indent.cc File Reference
`#include "debug.hh"`
`#include <cassert>`
`#include <iomanip>`
`#include <ostream>`
`#include "roboptim/core/indent.hh"`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.

## Functions

ROBOPTIM_DLLAPI long int & | roboptim::indent (std::ostream &o)
| The current indentation level for o. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::incindent (std::ostream &o)
| Increment the indentation. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::decindent (std::ostream &o)
| Decrement the indentation. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::resetindent (std::ostream &o)
| Reset the indentation. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::iendl (std::ostream &o)
| Print an end of line, then set the indentation. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::incendl (std::ostream &o)
| Increment the indentation, print an end of line, and set the indentation. More...
ROBOPTIM_DLLAPI std::ostream & | roboptim::decendl (std::ostream &o)
| Decrement the indentation, print an end of line, and set the indentation. More...